%define api 3.8
%define major 3
%define libname %mklibname id3_ %{api} %{major}
%define devname %mklibname id3 -d
%define staticname %mklibname id3 -d -s

Summary:	A software library for manipulating ID3v1 and ID3v2 tags
Name:		id3lib
Version:	3.8.3
Release:	25
Epoch:		1
License:	LGPL
Group:		Sound
Url:		http://id3lib.sourceforge.net
Source0:	http://download.sourceforge.net/id3lib/%{name}-%{version}.tar.bz2
Patch0:		id3lib-3.8.2-doxygen.patch
Patch1:		patch_id3lib_3.8.3_UTF16_writing_bug.diff
Patch2:		id3lib-3.8.3-CVE-2007-4460.patch
Patch3:		id3lib-3.8.3-includes.patch
Patch4:		id3lib-3.8.3-vbr_buffer_overflow.diff
Patch5:		id3lib-3.8.3-libtool-autofoo.patch
Provides:	id3lib-examples
BuildRequires:	doxygen
BuildRequires:	pkgconfig(zlib)

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include
standards-compliant ID3v1/2 tagging capabilities in their applications.
Features include identification of valid tags, automatic size conversions,
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.
Included are some simple command line example applications.

%files
%doc AUTHORS HISTORY NEWS README THANKS TODO
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Id3lib libraries
Group:		System/Libraries

%description -n %{libname}
This package provides a software library for manipulating ID3v1 and ID3v2 tags.

%files -n %{libname}
%doc README COPYING
%{_libdir}/libid3-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use id3lib
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(zlib)
Provides:	libid3-devel = %{EVRD}
Provides:	libid3lib-devel = %{EVRD}
Provides:	id3lib-devel = %{EVRD}
Provides:	id3lib-doc = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use id3lib, the software library for ID3v1 and ID3v2
tag manipulation.

%files -n %{devname}
%doc ChangeLog doc/*.html doc/*gif doc/*.txt doc/*.jpg doc/*.ico doc/*.css
%doc doc/api doc/examples
%{_includedir}/id3*.h
%{_includedir}/id3
%{_libdir}/*.so

#----------------------------------------------------------------------------

%package -n %{staticname}
Summary:	Id3lib static libraries
Group:		Development/C++
Requires:	%{devname} = %{EVRD}

%description -n %{staticname}
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It contains the static library of id3lib.

%files -n %{staticname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
(mkdir -p doc/examples
cd examples
cp *.cpp *.c *.h *.tag *.jpg *.mp3 ../doc/examples
)

%build
%configure2_5x
%make
%make docs

%install
%makeinstall_std


%changelog
* Sat Oct 25 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:3.8.3-25
+ Revision: 0d96924
- Add patch to fix VBR buffer overflow


